# h5netcdf.Dimension

class h5netcdf.Dimension(parent, name, size=None, create_h5ds=False, phony=False)
  __init__(parent, name, size=None, create_h5ds=False, phony=False)

    NetCDF4 Dimension constructor.

    Parameters:

      - parent (`h5netcdf.Group`) – Parent group.

      - name (`str`) – Name of the dimension.

      - size (`int`) – Size of the Netcdf4 Dimension. Defaults to None (unlimited).

      - create_h5ds (`bool`) – For internal use only.

      - phony (`bool`) – For internal use only.

  Methods

  `__init__`(parent, name[, size, create_h5ds, ...]) | NetCDF4 Dimension constructor.
  `group`() | Return parent group.
  `isunlimited`() | Return `True` if dimension is unlimited, otherwise `False`.

  Attributes

  `name` | Return dimension name.
  `size` | Return dimension size.

  group()

    Return parent group.

  isunlimited()

    Return `True` if dimension is unlimited, otherwise `False`.

  property name

    Return dimension name.

  property size

    Return dimension size.